/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.client;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import kgrid.raems.service.impl.workflow.Computation;
import kgrid.raems.service.impl.workflow.Deserializer;
import kgrid.raems.service.impl.workflow.Job;
import kgrid.raems.service.impl.workflow.PluginDescription;

import org.w3c.dom.Document;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class Test {

    public static void main(String[] args) {
        try {
            DocumentBuilderFactory factory = DocumentBuilderFactory
                    .newInstance();
            DocumentBuilder parser = factory.newDocumentBuilder();
            Document d = parser
                    .parse("./abstractmodel/abstract_model_test.xml");
            d.normalize();

            Document metadato = parser
                    .parse("/home/globus/kgrid/kmr/SimpleKMeans-andrea-laptop.xml");
            metadato.normalize();

            PluginDescription pluginDescription = new PluginDescription(d
                    .getDocumentElement().getNodeName());
            Deserializer deserializer = new Deserializer(pluginDescription);

            Job abstractEP = (Job) deserializer.deserialize(d);

            Computation c = (Computation) abstractEP.getTask("subjob1");
            c.getProgram().update(metadato);

            System.out.println(c.getProgram());

        } catch (Exception e) {

            e.printStackTrace();
        }

    }

}
