/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.gui;

import java.awt.Dimension;

import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTextArea;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class ConsoleArea extends JTabbedPane {

	private static final long serialVersionUID = 7697524034295129497L;
	private JTextArea textArea;

	public ConsoleArea() {
		super();
		this.textArea = new JTextArea();
	}

	public void init() {
		JScrollPane pane = new JScrollPane();
		pane.setViewportView(textArea);
		pane.setPreferredSize(new Dimension(200, 200));
		this.setPreferredSize(new Dimension(200, 200));
		pane.setMinimumSize(new Dimension(100,200));
		this.addTab("Console", pane);
		textArea.setEditable(false);
	}

	public void append(String msg) {
		textArea.append(msg);
		textArea.setCaretPosition(textArea.getText().length() - 1);
		textArea.invalidate();
	}

	public void appendLine(String msg) {
		textArea.append(msg + "\n");
		textArea.setCaretPosition(textArea.getText().length() - 1);
		textArea.invalidate();
	}
}
