/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.gui;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class Notification {
    private boolean   error, state, finish;
    private String    errorMsg, result, taskname;
    private TaskState status;

    public boolean isErrorNotification() {
        return error;
    }

    public boolean isStatusNotification() {
        return state;
    }

    public boolean isFinishNotification() {
        return finish;
    }

    public Notification(String task) {
        this.taskname = task;
    }

    public void setError(String error) {
        this.errorMsg = error;
        this.error = true;
        this.state = false;
    }

    public void setStatus(TaskState status) {
        this.status = status;
        this.state = true;
        this.error = false;
    }

    public void setFinish(String msg) {
        this.error = false;
        this.state = false;
        this.finish = true;
        this.result = msg;
    }

    public String getTaskName() {
        return taskname;
    }

    public TaskState getStatus() {
        return status;
    }

    public String getErrorMessage() {
        return errorMsg;
    }

    public String getFinishMessage() {
        return result;
    }
}
