/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.gui;

import java.awt.Dimension;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class PropertyVisualization extends JScrollPane {
    JTextArea                 properties;
    private static final long serialVersionUID = -10988269992295979L;

    public PropertyVisualization() {
        super();
        properties = new JTextArea("This are the properties");
        this.setViewportView(properties);
        this.setPreferredSize(new Dimension(200, 500));
        this.setMaximumSize(new Dimension(200, Integer.MAX_VALUE));
    }

    public void enableProperties(boolean enable) {
        properties.setEnabled(enable);
    }

    public void displayProperty(String s) {
        properties.setText(s);
        properties.setCaretPosition(properties.getText().length());
        properties.invalidate();
    }

}
