/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.gui;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Observable;
import java.util.Observer;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class Toolbar extends JToolBar {
	private Observable eventNotif;
	private JButton play,load;
	private RAEMSClient owner;
	/**
	 * 
	 */
	private static final long serialVersionUID = 2223486140834357033L;
	
	public Toolbar(RAEMSClient owner){
		super(JToolBar.HORIZONTAL);
		eventNotif=new Observable();
		this.owner=owner;
	}
	
	public void addObserver(Observer o){
		eventNotif.addObserver(o);
	}
	
	public void init(){
		play=new JButton(new ImageIcon("./img/media/Play24.gif"));
		play.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				owner.openInsertIPDialog();
			}
			
		});
		load=new JButton(new ImageIcon("./img/general/Import24.gif"));
		load.addActionListener(new ActionListener(){

			@Override
			public void actionPerformed(ActionEvent e) {
				owner.openLoadInputDialog();
			}
			
		});
		this.add(load);
		this.add(play);
		this.setPreferredSize(new Dimension(200,30));
	}

}
