/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.gui;

import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;

import javax.swing.JTextArea;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 */
public class ViewConsoleArea extends JTextArea {

    public PrintStream getPrintStream() {
        return new PrintStream(new TextAreaOutputStream(this));
    }

    static class TextAreaOutputStream extends OutputStream {
        private JTextArea consoleTextArea;

        public TextAreaOutputStream(JTextArea textArea) {
            this.consoleTextArea = textArea;
        }

        @Override
        public void write(int b) throws IOException {
            consoleTextArea.append(String.valueOf((char) b));
        }

        @Override
        public void write(byte[] b) throws IOException {
            write(b, 0, b.length);
        }

        @Override
        public void write(byte[] b, int off, int len) throws IOException {
            String line = new String(b, off, len);
            consoleTextArea.append(line);
        }

    }

}
