/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl;

import javax.xml.namespace.QName;

import org.globus.wsrf.container.ServiceHost;

/**
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public interface Consts {
	public static final String SERVICE_ACRONYM = "RAEMS";
	public static final String SERVICE_NAME = SERVICE_ACRONYM + "Service";

	public static final String NAMESPACE_ROOT = "http://grid.deis.unical.it/kgrid/";
	public static final String SERVICES_ROOT = "wsrf/services/";

	public static final String GLOBUS_LOCATION = System
			.getenv("GLOBUS_LOCATION");

	public static final String RAEMS_NAMESPACE = NAMESPACE_ROOT + SERVICE_NAME;
	public static final String KDS_NAMESPACE = NAMESPACE_ROOT + "KDSService";

	public static final String KDS_FACTORY = SERVICES_ROOT
			+ "KDSFactoryService";
	public static final String RAEMS_FACTORY = SERVICES_ROOT
			+ "RAEMSFactoryService";
	public static final String DELEGATION_FACTORY = SERVICES_ROOT
			+ "DelegationFactoryService";
	public static final String GRAM_FACTORY = SERVICES_ROOT
			+ "ManagedJobFactoryService";
	public static final String RFT_FACTORY = SERVICES_ROOT
			+ "ReliableFileTransferFactoryService";

	public static final QName RP_MODEL = new QName(RAEMS_NAMESPACE,
			"RAEMSModel");

	public static final QName RESOURCE_PROPERTIES = new QName(RAEMS_NAMESPACE,
			"RAEMSResourceProperties");

	public static final QName RESOURCE_REFERENCE = new QName(RAEMS_NAMESPACE,
			"RAEMSResourceReference");

	// Global configuration

	public static final int CONTAINER_PORT = ServiceHost.getPort();
	public static final String CONTAINER_PROTOCOL = "https://";
	public static final String GSI_PORT = "2811";
	public static final String GSIFTP_PROTOCOL = "gsiftp://";
	public static final String KDS_PROTOCOL = "kds://";

	public static final String KNOWLEDGEGRID_PATH = "/home/globus/kgrid";

	public static final String KBR_PATH = KNOWLEDGEGRID_PATH + "/kbr/";
	public static final String KMR_PATH = KNOWLEDGEGRID_PATH + "/kmr/";
	public static final String DATATRANSFER_DOWNLOAD_PATH = KMR_PATH
			+ "transfers/";

	public static final String CONFIG_PATH = KNOWLEDGEGRID_PATH
			+ "/RAEMSConfiguration.xml";
	public static final String SESSION_PATH = KNOWLEDGEGRID_PATH
			+ "/kepr/session/raems/";
	public final String PLUGIN_PATH = GLOBUS_LOCATION
			+ "/etc/kgrid_raems_service/plugin.xml";

	public static final int DEFAULT_PORT = 8443;

}
