/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class ConfigurationFileUtils {
    private static ConfigurationFileUtils instance;
    private Properties                    properties;

    private ConfigurationFileUtils(File config) throws FileNotFoundException,
            IOException {
        parse(config);
    }

    /*
     * public ConfigurationFileUtils getInstance(String filepath) throws
     * IOException{ if(instance==null) instance=new ConfigurationFileUtils(new
     * File(filepath)); return instance; }
     * 
     * public ConfigurationFileUtils getInstace(File config_file) throws
     * IOException{ if (instance==null) instance=new
     * ConfigurationFileUtils(config_file); return instance; }
     */

    public String getValue(String param_name) {
        if (properties == null)
            throw new IllegalStateException("No properties loaded!");
        return properties.getProperty(param_name);
    }

    public Integer getIntegerValue(String param_name) {
        Integer n = new Integer(getValue(param_name));
        return n;
    }

    private void parse(File config) throws FileNotFoundException, IOException {
        // Read properties file.
        this.properties = new Properties();
        properties.load(new FileInputStream(config));
    }

}
