/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.utils;

import java.util.Arrays;

import kgrid.kds.stubs.KDSService.ArrayOfString;
import kgrid.raems.service.impl.Utils;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Query {
	private String[] query;

	public Query() {
		query = new String[0];

	}

	public Query(String[] q) {
		this.query = q;
	}

	public void append(String[] q) {
		String[] query_new = new String[query.length + q.length];
		System.arraycopy(query, 0, query_new, 0, query.length);
		System.arraycopy(q, 0, query_new, query.length, q.length);
	}

	public void append(Query q) {
		append(q.query);
	}

	public ArrayOfString getArrayOfString() {
		return new ArrayOfString(query);
	}

	public String toString() {
		return Arrays.toString(query);
	}

	public boolean isEmpty() {
		return query.length <= 0;
	}

}
