/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.utils;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import kgrid.raems.service.impl.workflow.plugin.UniqueProperty;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class SetUtils {

    public static Set cloneSet(Set cloneableSet) throws Exception {
        Set ret = cloneableSet.getClass().newInstance();
        Iterator it = cloneableSet.iterator();
        while (it.hasNext()) {
            Object toclone = it.next();
            Object cloned = toclone.getClass().getMethod("clone").invoke(
                    toclone);
            ret.add(cloned);
        }
        return ret;
    }

    public static void main(String[] args) {
        Set<UniqueProperty> set1 = new HashSet<UniqueProperty>();
        UniqueProperty up = new UniqueProperty();
        up.setName("ciao");
        up.setValue("ciao");
        set1.add(up);
        try {
            Set<UniqueProperty> set2 = (Set<UniqueProperty>) cloneSet(set1);
            Iterator<UniqueProperty> it = set2.iterator();
            while (it.hasNext()) {
                UniqueProperty up1 = it.next();
                up1.setName("come stai");
                up1.setValue("tutto bene");
            }
            System.out.println(Arrays.toString(set2.toArray()));
        } catch (Exception e) {
            e.printStackTrace();
        }

        System.out.println("Up was ciao:ciao and now is " + up.getName() + ":"
                + up.getValue());

    }
}
