/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.workflow;

import java.util.Collection;
import java.util.LinkedList;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Element;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class DummyTask extends Task {

    private static final long serialVersionUID = 1L;

    public DummyTask(String ID) {
        super(ID);

    }

    public boolean isAbstract() {

        return false;
    }

    public String toString() {

        return "{Task: " + this.getName() + "}\n";
    }

    public void replaceResource(Resource from, Resource to) {
        throw new RuntimeException("a dummy task don't have resource");
    }

    public Element serialize() throws ParserConfigurationException {
        Serializer ser = super.serializer();
        return ser.serializedElement();
    }

    @Override
    public void addInput(Resource source) {
        throw new RuntimeException("A dummy task can't have any input");

    }

    @Override
    public void addOutput(Resource source) {
        throw new RuntimeException("A dummy task can't have any output");

    }

    @Override
    public Collection<Resource> getInputs() {
        throw new RuntimeException("A dummy task can't have any input");
    }

    @Override
    public Collection<Resource> getOutputs() {
        throw new RuntimeException("A dummy task can't have any output");
    }

    @Override
    public Collection<Resource> getResources() {
        return new LinkedList<Resource>();
    }

}
