/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.workflow.plugin;

import java.util.LinkedList;
import java.util.List;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class Arg {
    private List<String> values     = new LinkedList<String>();
    private String       type       = null;
    private String       defaultz   = null;
    private boolean      mandatory  = false;
    private boolean      multivalue = false;
    private String       name       = null;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDefault() {
        return defaultz;
    }

    public void setDefault(String defaultz) {
        this.defaultz = defaultz;
    }

    public void setMandatory(boolean mandatory) {
        this.mandatory = mandatory;
    }

    public boolean isMandatory() {
        return mandatory;
    }

    public void addValue(String value) {
        values.add(value);
    }

    public void replaceValue(String oldValue, String newValue) {
        values.remove(oldValue);
        values.add(newValue);
    }

    public String getName() {
        return name;
    }

    public List<String> getValues() {
        return values;
    }

    public void setName(String name) {
        this.name = name;

    }

    public void setMultivalue(boolean multivalue) {
        this.multivalue = multivalue;
    }

    public boolean isMultivalue() {
        return multivalue;
    }

    public String toString() {
        String s = "name=" + name;
        for (String value : values) {
            s += "," + value;
        }
        return s;
    }
}
