/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * =============================================================================
 * Grid Computing Laboratory, Dept. of Electronics, Computer Science and
 * Systems, University of Calabria, Italy. http://grid.deis.unical.it/
 * =============================================================================
 */

package kgrid.raems.service.impl.workflow.plugin;

import kgrid.raems.service.impl.workflow.Property;

/**
 * @author Eugenio Cesario <cesario@icar.cnr.it>
 * @author Marco Lackovic <mlackovic@deis.unical.it>
 */
public class RepeatableProperty extends Property {
    public boolean equals(Object p) {
        if (p instanceof RepeatableProperty) {
            RepeatableProperty prop = (RepeatableProperty) p;
            return this.name.equals(prop.name) && this.value.equals(prop.value);
        }
        return false;
    }

    public RepeatableProperty clone() throws CloneNotSupportedException {
        RepeatableProperty p = new RepeatableProperty();
        p.setName(new String(this.name));
        p.setValue(new String(this.value));
        return p;
    }

    public int hashCode() {
        return (name + value).hashCode();
    }
}
